---
title: "How I Get Fractional Lead Contracts Without \"Doing Sales\""
---

I am often asked how I find the clients for my Fractional Engineering Lead practice. Here's what I do. It has worked for me for about two and a half years now, but it might not work for you and it might not even work for me a month from now.

I don't do sales. I don't do "lead gen" or "biz dev." I don't even really network in the traditional sense. I also don't have someone to do these things for me.

What I do is I help people. I don't help them so that they give me contracts some day. I help them because I like helping people, particularly other Software Engineers, and I help them because it's the right thing to do.

The other thing I do is I ask people to help me. I don't ask for contracts, because either someone has work that's a good fit for me, or they don't. I ask people to give me advice, to help troubleshoot an issue, or to introduce me to their friends.

Every contract I've ever gotten has been someone who I've helped and/or someone who has helped me. It's usually not anytime close to when we had that first interaction. They usually email me up out of the blue and say "I have / heard about a project, and I think you could help."

When I started working as a Fractional Engineering Lead, I got my first contract from an amazing kind former coworker of mine. I helped her (in a very small way) to get that job, and she helped me fix some HR snags at that company. A couple years later, she heard that I'd lost my job and she connected me to my first incredible client. I don't think I would have the business I have today without her!

Ok, but you probably want some practical steps you can take. That's very reasonable.

1. Join communities where people who do what you do hang out. When they ask for advice or need help solving problems, help them. Volunteer yourself to get on a call. _You must do this in the spirit of genuinely helping and making the community better, or it won't work._
2. Fix bugs in open source software. Particularly fix the bugs that no one else wants to fix.
3. Re-post jobs and the posts of those seeking work. Proactively connect people you know to jobs that are open, and vice-versa.
4. Ask for calls with people you like and respect. Ask for advice, and ask if there's anything you can offer in exchange. If what you need is a contract, be honest. _Hey, I'm trying my hand at consulting, I'd like to have a short call to (1) get your advice (2) tell you what I'm trying to do and see if you know anyone who could benefit._
5. Don't filter people out just because they're "not the target demographic" or whatever. That's sales. If you say to yourself "I shouldn't talk to this person, because they probably don't need my services" then you are doing sales. _Don't sell._ Everyone on this earth needs help, and in my experience, the vast majority of people on this planet want to help others.
